__gnu_pbds::container_traits< Cntnr > Struct Template Reference
Extensions » Policy-Based Data Structures » Tags » Invalidation Guarantees » Data Structure Type » Traits
Inheritance diagram for __gnu_pbds::container_traits< Cntnr >:
[legend]

## Public Types

enum | { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
typedef container_traits_base< container_category > | base_type
typedef Cntnr::container_category | container_category
typedef Cntnr | container_type
typedef base_type::invalidation_guarantee | invalidation_guarantee

## Detailed Description

### template<typename Cntnr>
struct __gnu_pbds::container_traits< Cntnr >

Container traits.

Definition at line 418 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp